Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class ExpandPlanTestGroup

    java.lang.Object
      ix.iplan.PlanTest
          ix.iplan.ExpandPlanTestGroup

All Implemented Interfaces:
  java.io.Serializable

    public class ExpandPlanTestGroup

extends PlanTest

Specifies a group of PlanTests. The tests can either be taken from a `PlanTestGroup` that was defined earlier or can be given directly in this instance. If an ExpandPlanTestGroup appears in a list of PlanTests given to an `AutoTester`, it will get the AutoTester to run those tests. That happens via the TestRunner returned by the `makeTestRunner(AutoTester)` method.

If an ExpandPlanTestGroup specifies both a named PlanTestGroup to "expand" and a list of tests of its own, the ones from the named group are run first.

Since an ExpandPlanTestGroup is a PlanTest, it can be used to provide default values to other PlanTests, typically to the PlanTests in the expansion. Indeed, that happens when the expansion is processed by an AutoTester.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` This group's name.
`protected java.util.List` | `tests` Tests directly in this expansion rather than taken from a named group.

Fields inherited from class ix.iplan.PlanTest
`domain, initialPlan, isExhaustive, plans, randomSimulations, stepLimit, task`

Constructor Summary
`ExpandPlanTestGroup()`

Method Summary
`java.lang.String` | `getName()`
`java.util.List` | `getTests()`
`AutoTester.TestRunner` | `makeTestRunner(AutoTester auto)` Returns a TestRunner that will run the tests in the group.
`protected void` | `runGroupTests(AutoTester auto, PlanTestGroup group)`
`void` | `setName(java.lang.String name)`
`void` | `setTests(java.util.List tests)`
`java.lang.String` | `testDescription()` Returns a short textual description of this test.

Methods inherited from class ix.iplan.PlanTest
`getDomain, getInitialPlan, getIsExhaustive, getPlans, getRandomSimulations, getStepLimit, getTask, setDomain, setInitialPlan, setIsExhaustive, setPlans, setRandomSimulations, setStepLimit, setTask, takeDefaults, taskDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  This group's name.

### tests

    protected java.util.List tests

  Tests directly in this expansion rather than taken from a named group.

Constructor Detail

### ExpandPlanTestGroup

    public ExpandPlanTestGroup()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTests

    public java.util.List getTests()

### setTests

    public void setTests(java.util.List tests)

### makeTestRunner

    public AutoTester.TestRunner makeTestRunner(AutoTester auto)

  Returns a TestRunner that will run the tests in the group.

  Overrides:
    `makeTestRunner` in class `PlanTest`

### runGroupTests

    protected void runGroupTests(AutoTester auto,
                                 PlanTestGroup group)

### testDescription

    public java.lang.String testDescription()

  Description copied from class: `PlanTest`
  Returns a short textual description of this test. It should include the domain name and a description of the task or problem. Examples:

         Domain duplicate-effect-test, Task test1
         Domain blocks-pure-htn-1, Problem ca,b-abc

  The method defined by the PlanTest class calls `PlanTest.getDomain()` and `PlanTest.taskDescription()`.

  The testDescription() method is called by `PlanTest.toString()`.

  Overrides:
    `testDescription` in class `PlanTest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD